tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henri Gomez <hgo...@apache.org>
Subject Re: [5.0] [VOTE] Remove deprecated and unsupported components
Date Wed, 09 Oct 2002 09:56:17 GMT
Remy Maucherat wrote:
> The connectors which depend on the org.apache.catalina.connector package 
> (including JK 1, webapp, and the old HTTP connectors) will either need 
> to be updated or removed. The Coyote family of connectors is well 
> supported and provides a suitable replacement (IMO). Coyote is the 
> default connector in the current Tomcat 4.1.x releases, and should be 
> reaching maturity by the time Tomcat 5 is released.
> 
> I'd like to remove the deprecated org.apache.catalina.connector classes 
> (and move the remaining facade and wrapper classes to other new packages).
> 
> Even if they are removed from the main tree, the deprecated components 
> could also be distributed with updated versions of the affected 
> connectors should it is decided they should be made available for Tomcat 
> 5 (but in any case, some work will be needed).
> 
> <ballot>
> [X] Remove deprecated org.apache.catalina.connector components from the 
> j-t-catalina module
> [ ] Leave them in
> </ballot>
> 
> In case the second option is voted, volunteers will be needed to update 
> and maintain the components (right now, I don't think the connectors 
> based on them would even build against the new API).



--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message